import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:finbox_bureau_plugin/finbox_bureau_plugin_method_channel.dart';

void main() {
  TestWidgetsFlutterBinding.ensureInitialized();

  MethodChannelFinBoxBureauPlugin platform = MethodChannelFinBoxBureauPlugin();
  const MethodChannel channel = MethodChannel('finbox_bureau_plugin');

  setUp(() {
    TestDefaultBinaryMessengerBinding.instance.defaultBinaryMessenger.setMockMethodCallHandler(
      channel,
      (MethodCall methodCall) async {
        return '42';
      },
    );
  });

  tearDown(() {
    TestDefaultBinaryMessengerBinding.instance.defaultBinaryMessenger.setMockMethodCallHandler(channel, null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
