import 'package:flutter_test/flutter_test.dart';
import 'package:finbox_bureau_plugin/finbox_bureau_plugin.dart';
import 'package:finbox_bureau_plugin/finbox_bureau_plugin_platform_interface.dart';
import 'package:finbox_bureau_plugin/finbox_bureau_plugin_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockFinBoxBureauPluginPlatform
    with MockPlatformInterfaceMixin
    implements FinBoxBureauPluginPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final FinBoxBureauPluginPlatform initialPlatform = FinBoxBureauPluginPlatform.instance;

  test('$MethodChannelFinBoxBureauPlugin is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelFinBoxBureauPlugin>());
  });

  test('getPlatformVersion', () async {
    FinBoxBureauPlugin finboxBureauPlugin = FinBoxBureauPlugin();
    MockFinBoxBureauPluginPlatform fakePlatform = MockFinBoxBureauPluginPlatform();
    FinBoxBureauPluginPlatform.instance = fakePlatform;

    expect(await finboxBureauPlugin.getPlatformVersion(), '42');
  });
}
